# UiInputs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class UiInputs

- Defined in src/ui-inputs.ts:20

##### Index

### Constructors

constructor

### Methods

buttonAb
buttonCycleOption
buttonDirection
buttonGoToFilter
buttonInfo
buttonMenu
buttonSpeedChange
buttonStats
buttonTouch
detectInputMethod
doVibration
getActionsKeyDown
getActionsKeyUp
init
listenInputs

## Constructors

### constructor

- new UiInputs(inputsController: InputsController ): UiInputs

  #### Parameters

  - inputsController: InputsController

  #### Returns UiInputs

  - Defined in src/ui-inputs.ts:24

## Methods

### buttonAb

- buttonAb(button: Button ): void

  #### Parameters

  - button: Button

  #### Returns void

  - Defined in src/ui-inputs.ts:133

### buttonCycleOption

- buttonCycleOption(button: Button ): void

  #### Parameters

  - button: Button

  #### Returns void

  - Defined in src/ui-inputs.ts:203

### buttonDirection

- buttonDirection(direction: Button ): void

  #### Parameters

  - direction: Button

  #### Returns void

  - Defined in src/ui-inputs.ts:127

### buttonGoToFilter

- buttonGoToFilter(button: Button ): void

  #### Parameters

  - button: Button

  #### Returns void

  - Defined in src/ui-inputs.ts:152

### buttonInfo

- buttonInfo(pressed?: boolean): void

  #### Parameters

  - pressed: boolean = true

  #### Returns void

  - Defined in src/ui-inputs.ts:162

### buttonMenu

- buttonMenu(): void

  #### Returns void

  - Defined in src/ui-inputs.ts:174

### buttonSpeedChange

- buttonSpeedChange(up?: boolean): void

  #### Parameters

  - up: boolean = true

  #### Returns void

  - Defined in src/ui-inputs.ts:223

### buttonStats

- buttonStats(pressed?: boolean): void

  #### Parameters

  - pressed: boolean = true

  #### Returns void

  - Defined in src/ui-inputs.ts:141

### buttonTouch

- buttonTouch(): void

  #### Returns void

  - Defined in src/ui-inputs.ts:137

### detectInputMethod

- detectInputMethod(evt: any): void

  #### Parameters

  - evt: any

  #### Returns void

  - Defined in src/ui-inputs.ts:34

### doVibration

- doVibration(inputSuccess: boolean, vibrationLength: number): void

  #### Parameters

  - inputSuccess: boolean
  - vibrationLength: number

  #### Returns void

  - Defined in src/ui-inputs.ts:75

### getActionsKeyDown

- getActionsKeyDown(): ActionKeys

  #### Returns ActionKeys

  - Defined in src/ui-inputs.ts:81

### getActionsKeyUp

- getActionsKeyUp(): ActionKeys

  #### Returns ActionKeys

  - Defined in src/ui-inputs.ts:104

### init

- init(): void

  #### Returns void

  - Defined in src/ui-inputs.ts:29

### listenInputs

- listenInputs(): void

  #### Returns void

  - Defined in src/ui-inputs.ts:47